Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdItems

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdItems

    public class cmdItems
    extends DatecsFiscalDevice

Class for Defining and reading items

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdItems.ItemModel` |
  `static class` | `cmdItems.ItemsInfo` | Store info of device items-data base.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `cmdItems()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `DelAllItems()` | Deleting All Device items
  `boolean` | `DelItemsInRange​(int fromItem, int toItem)` | Item deleting
  `cmdItems.ItemModel` | `GetFirstFoundProgrammed​(int startItem)` | Returns data about the first found programmed item
  `cmdItems.ItemModel` | `GetFirstFoundWithSales​(int startItem)` | Returns data about the first found item with sales on it
  `int` | `GetFirstNotProgrammed​(int startItem)` | Find the first not programmed item
  `cmdItems.ItemsInfo` | `GetItemsInformation()` | Read the Device Items PLU data-base info.
  `cmdItems.ItemModel` | `GetLastFoundProgrammed​(int lastPLU)` | Returns data about the last found programmed item
  `cmdItems.ItemModel` | `GetLastFoundWithSales​(int startItem)` | Returns data about the last found item with sales on it
  `int` | `GetLastNotProgrammed​(int startItem)` | Find the last not programmed item
  `cmdItems.ItemModel` | `GetNextFoundWithSales()` | Returns data for the next found item with sales on it;
  `cmdItems.ItemModel` | `GetNextProgrammed()` | Returns data for the next found programmed item
  `cmdItems.ItemModel` | `ReadItem​(int itemID)` | Reading item data
  `void` | `SaveItem​(cmdItems.ItemModel itemModel)` |
  `void` | `SaveItem​(java.lang.String plu, java.lang.String taxGr, java.lang.String group, java.lang.String sPrice, java.lang.String quantity, boolean replaceQty, java.lang.String name)` | Save Item data to device
  `void` | `SetItemPrice​(int itemID, java.lang.Double newPrice)` | Change of the available quantity for item
  `void` | `SetItemQuantity​(int itemID, java.lang.Double quantity)` | Change of the available quantity for item

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### cmdItems

    public cmdItems()

- ## Method Details

  - ### SaveItem

    public void SaveItem​(cmdItems.ItemModel itemModel) throws java.lang.Exception
    Parameters:
      `itemModel` -
    Throws:
      `java.lang.Exception`

  - ### SaveItem

    public void SaveItem​(java.lang.String plu, java.lang.String taxGr, java.lang.String group, java.lang.String sPrice, java.lang.String quantity, boolean replaceQty, java.lang.String name) throws java.lang.Exception
    Save Item data to device
    Throws:
      `java.lang.Exception`

  - ### SetItemQuantity

    public void SetItemQuantity​(int itemID, java.lang.Double quantity) throws java.lang.Exception
    Change of the available quantity for item
    Parameters:
      `itemID` - - Item number (1...999999999);
      `quantity` - - Stock quantity (0.001...99999.999);
    Throws:
      `java.lang.Exception`

  - ### SetItemPrice

    public void SetItemPrice​(int itemID, java.lang.Double newPrice) throws java.lang.Exception
    Change of the available quantity for item
    Parameters:
      `itemID` - - Item number (1...999999999);
      `newPrice` - - Item price (0.001...99999.999);
    Throws:
      `java.lang.Exception`

  - ### DelItemsInRange

    public boolean DelItemsInRange​(int fromItem, int toItem) throws java.lang.Exception
    Item deleting
    Parameters:
      `fromItem` - - First item to delete (1...999999999)
      `toItem` - - last item to delete (1...999999999)
    Returns:
    Throws:
      `java.lang.Exception`

  - ### DelAllItems

    public boolean DelAllItems() throws java.lang.Exception
    Deleting All Device items
    Returns:
    Throws:
      `java.lang.Exception`

  - ### ReadItem

    public cmdItems.ItemModel ReadItem​(int itemID) throws java.lang.Exception
    Reading item data
    Parameters:
      `itemID` - - Item number (1...999999999);
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetFirstFoundProgrammed

    public cmdItems.ItemModel GetFirstFoundProgrammed​(int startItem) throws java.lang.Exception
    Returns data about the first found programmed item
    Parameters:
      `startItem` - Item number (1...999999999) Default: 0
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetLastFoundProgrammed

    public cmdItems.ItemModel GetLastFoundProgrammed​(int lastPLU) throws java.lang.Exception
    Returns data about the last found programmed item
    Parameters:
      `lastPLU` - Item number (1...3000). 999999999: 999999999;
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetNextProgrammed

    public cmdItems.ItemModel GetNextProgrammed() throws java.lang.Exception
    Returns data for the next found programmed item
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetFirstFoundWithSales

    public cmdItems.ItemModel GetFirstFoundWithSales​(int startItem) throws java.lang.Exception
    Returns data about the first found item with sales on it
    Parameters:
      `startItem` -
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetLastFoundWithSales

    public cmdItems.ItemModel GetLastFoundWithSales​(int startItem) throws java.lang.Exception
    Returns data about the last found item with sales on it
    Parameters:
      `startItem` - - Item number (1...3000). Default: 3000;
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetNextFoundWithSales

    public cmdItems.ItemModel GetNextFoundWithSales() throws java.lang.Exception
    Returns data for the next found item with sales on it;
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetFirstNotProgrammed

    public int GetFirstNotProgrammed​(int startItem) throws java.lang.Exception
    Find the first not programmed item
    Parameters:
      `startItem` - Item number
    Returns:
      - first not programmed item
    Throws:
      `java.lang.Exception`

  - ### GetLastNotProgrammed

    public int GetLastNotProgrammed​(int startItem) throws java.lang.Exception
    Find the last not programmed item
    Parameters:
      `startItem` - Item number
    Returns:
      last not programmed item
    Throws:
      `java.lang.Exception`

  - ### GetItemsInformation

    public cmdItems.ItemsInfo GetItemsInformation() throws java.io.IOException, FiscalException
    Read the Device Items PLU data-base info.
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`
      `FiscalException`